## org.eclipse.emf.ecore.resource.impl
Interface ExtensibleURIConverterImpl.URIMap

All Superinterfaces:
  java.util.Map<URI,URI>

All Known Subinterfaces:
  URIConverterImpl.URIMap

All Known Implementing Classes:
  URIMappingRegistryImpl.URIMapImpl

Enclosing class:
  ExtensibleURIConverterImpl

    public static interface ExtensibleURIConverterImpl.URIMap

extends java.util.Map<URI,URI>

A map that remaps URIs.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`URI` `getURI(URI uri)` Returns the remapped URI, or the URI itself.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### getURI

    URI getURI(URI uri)

  Returns the remapped URI, or the URI itself.

  Parameters:
    `uri` - the URI to remap.
  Returns:
    the remapped URI, or the URI itself.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.